Subject: [bug#75778] [PATCH] gnu: Add microhs.

From: Divya Ranjan <[email-masked]>
Date: Sat, 05 Apr 2025 15:09:06 +0000

Hello Lars,

> I’m not sure we should add microhs in its current state. This
> package uses a random commit on the upstream hugs branch. And over at
> https://issues.guix.gnu.org/75787 we’re unsure how to actually make
> use of it (i.e. make it build Haskell packages). So I would like to
> wait until a) the hugs branch is merged into master and packaged into
> a proper release b) we can figure out how to make microcabal work.

Have you looked into microhs since then?

It would be nice to have a bootstrappable implementation of Haskell, and moreover, have you considered if we could compile any version of GHC through MicroHS. I’ve CC’ed Lennard (author of MicroHS), hopefully he can provide us with more input.

Regards,
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A